using System;
using System.Data;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using iMESCore.DataObject;
using iMESCore.Base.ProjectBase.Base;

namespace iMESCIO.CDO.Tables
{

    [CDO(TableName = "TABLE_SAMPLE")]
    public class CDO_TABLE_SAMPLE : CDOBase
    {

        [CDO(ColumnName = "PMITEMNO", DBType = SqlDbType.VarChar, PrimaryKey = true)]
        public String PMITEMNO { get; set; }

        [CDO(ColumnName = "PMMODE", DBType = SqlDbType.VarChar)]
        public String PMMODE { get; set; }

        [CDO(ColumnName = "DESCRIPTION", DBType = SqlDbType.VarChar)]
        public String DESCRIPTION { get; set; }

        [CDO(ColumnName = "CREATOR", DBType = SqlDbType.VarChar)]
        public String CREATOR { get; set; }

        [CDO(ColumnName = "CREATEDATE", DBType = SqlDbType.DateTime)]
        public DateTime? CREATEDATE { get; set; }

        [CDO(ColumnName = "REVISER", DBType = SqlDbType.VarChar)]
        public String REVISER { get; set; }

        [CDO(ColumnName = "REVISEDATE", DBType = SqlDbType.DateTime)]
        public DateTime? REVISEDATE { get; set; }

    }
}
